# BUYOptionValue Class Reference

Inherits from | BUYObject : NSObject
Declared in | BUYOptionValue.h

### `name`

Custom product property names like “Size”, “Color”, and “Material”. 255 characters limit each.

`@property (nonatomic, readonly, copy) NSString *name`

#### Declared In

`BUYOptionValue.h`

### `value`

The value of the option

`@property (nonatomic, readonly, strong) NSString *value`

#### Declared In

`BUYOptionValue.h`

### `optionId`

the option identifier

`@property (nonatomic, readonly, strong) NSNumber *optionId`

#### Declared In

`BUYOptionValue.h`